#ifndef BALLE_H_INCLUDED
#define BALLE_H_INCLUDED

#define ACCELERATEUR 1.1
#define VITESSE_MAX (COTE/80)
#define BLEU 2016
#define NB_JOUEURS_MAX 4
#define RAYON_BALLE (COTE/80)

///Dernire modif: 25/06/2013 debug angle de frappe
///Objet: amlioration de la trajectoire alatoire
///A faire: Variation d'angle lors de la frappe

#include "main.h"

#include "Raquette.h"

class Balle
{
public:
    Balle(int nbRqt);

    void ajouterRaquette(unsigned int slot, Raquette *ajoutRqt);
    bool bouger(SDL_Surface* screen);//rebon potentiel, renvoie true quand Ok, false quand hors zone
    void afficher(SDL_Surface* screen);
    void camenbertPerdant(SDL_Surface* screen);

protected:
    //Attributs vectoriels
    Vecteur m_position;
    Vecteur m_trajectoire;
    Vecteur m_centre;
    float m_vitesse;

    //Attributs images
    Point m_point;

    //Attributs spcifiques
    Raquette* m_tableauRqt[NB_JOUEURS_MAX];
    int const m_nbRqt;
};

#endif // BALLE_H_INCLUDED
